Duplicate content

Got a problem with OpenTTD? Find some help here.

Moderator: OpenTTD Developers

Post Reply
User avatar
Jubilee
Engineer
Engineer
Posts: 31
Joined: 18 May 2011 08:03

Duplicate content

Post by Jubilee » 19 May 2019 18:54

Hi.

I have noticed that "NUTS Unrealistic Train Set" newgrf is shown twice in the online resources list. I have v0.7.8 installed and a new version 0.8.4 is also shown. This causes the "select upgrades" button to become active. When selected and upgraded, the "select upgrades" button becomes inactive again (as expected) but there are two versions installed on my PC. Checking the "Documents\OpenTTD\content_download\newgrf" contents under my Windows profile, i see that there are several versions of it in there (0.7.8, 0.7.9, 0.8.2, 0.8.3, 0.8.4 the final one). Was there a problem in its definition on the server causing it to appear as two separate items in the online resources list?

There seem to be other duplicate items too (like "Traditional American tunes vol" under Base Music"). I wonder why (though in this case, i suspect there may be a title character limit involved).
-----
Chaney 'Jubilee' (Steam powered)

User avatar
Redirect Left
Tycoon
Tycoon
Posts: 6543
Joined: 22 Jan 2005 19:31
Location: Wakefield, West Yorkshire

Re: Duplicate content

Post by Redirect Left » 19 May 2019 18:59

My guess is this enables support for savegames on older versions of the GRF?
Image
Worst Behaved IRC Member of 2008, 2009 & 2010 - Go Me!

User avatar
Jubilee
Engineer
Engineer
Posts: 31
Joined: 18 May 2011 08:03

Re: Duplicate content

Post by Jubilee » 19 May 2019 19:28

Redirect Left wrote:My guess is this enables support for savegames on older versions of the GRF?
Well, i thought of that but then why not create separate entries for the other versions. Too much has changed from that specific version to the next, so it had to be duplicated?
-----
Chaney 'Jubilee' (Steam powered)

Eddi
Tycoon
Tycoon
Posts: 7396
Joined: 17 Jan 2007 00:14

Re: Duplicate content

Post by Eddi » 19 May 2019 22:44

typically this is because something else (like an addon set or something) set a specific version as a dependency.
You might not exactly be interested in Ferion, but if you are, have fun :)

User avatar
Jubilee
Engineer
Engineer
Posts: 31
Joined: 18 May 2011 08:03

Re: Duplicate content

Post by Jubilee » 20 May 2019 06:24

Eddi wrote:typically this is because something else (like an addon set or something) set a specific version as a dependency.
OK, if it's considered normal...

Thanks for the info.
-----
Chaney 'Jubilee' (Steam powered)

Post Reply

Return to “OpenTTD Problems”

Who is online

Users browsing this forum: No registered users and 4 guests